Bug 250253 - No hevea packages on ppc64 (ocaml)
Summary: No hevea packages on ppc64 (ocaml)
Status: CLOSED WONTFIX
Alias: None
Product: Fedora
Classification: Fedora
Component: hevea (Show other bugs)
(Show other bugs)
Version: 11
Hardware: ppc64 Linux
low
low
Target Milestone: ---
Assignee: Richard W.M. Jones
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Keywords: Reopened
Depends On: 239077
Blocks: FE-ExcludeArch-ppc64, F-ExcludeArch-ppc64
TreeView+ depends on / blocked
 
Reported: 2007-07-31 13:26 UTC by Jeffrey C. Ollie
Modified: 2013-07-17 13:06 UTC (History)
4 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2009-11-02 20:32:24 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

Description Jeffrey C. Ollie 2007-07-31 13:26:14 UTC
According to koji, hevea hasn't been built since FC6 which means that it hasn't
been built on PPC64.  ejabberd uses hevea to build it's documentation, thus it
can't build on PPC64.

Here's a link to hevea in koji:
http://koji.fedoraproject.org/koji/packageinfo?packageID=2040

Comment 1 Andreas Thienemann 2007-08-14 14:03:59 UTC
Can't fix until ocaml has been rebuilt.

Comment 2 Richard W.M. Jones 2008-03-01 12:26:42 UTC
Is the problem here just lack of ppc64 support?  If so then David Woodhouse
has recently produced a patch for ppc64 support for OCaml, and this is now
in Rawhide.  However it hasn't received a lot of testing yet.

Comment 3 Bug Zapper 2008-05-14 13:46:28 UTC
This message is a reminder that Fedora 7 is nearing the end of life. Approximately 30 (thirty) days from now Fedora will stop maintaining and issuing updates for Fedora 7. It is Fedora's policy to close all bug reports from releases that are no longer maintained. At that time this bug will be closed as WONTFIX if it remains open with a Fedora 'version' of '7'.

Package Maintainer: If you wish for this bug to remain open because you plan to fix it in a currently maintained version, simply change the 'version' to a later Fedora version prior to Fedora 7's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that we may not be able to fix it before Fedora 7 is end of life. If you would still like to see this bug fixed and are able to reproduce it against a later version of Fedora please change the 'version' of this bug. If you are unable to change the version, please add a comment here and someone will do it for you.

Although we aim to fix as many bugs as possible during every release's lifetime, sometimes those efforts are overtaken by events. Often a more recent Fedora release includes newer upstream software that fixes bugs or makes them obsolete. If possible, it is recommended that you try the newest available Fedora distribution to see if your bug still exists.

Please read the Release Notes for the newest Fedora distribution to make sure it will meet your needs:
http://docs.fedoraproject.org/release-notes/

The process we are following is described here: http://fedoraproject.org/wiki/BugZappers/HouseKeeping

Comment 4 Richard W.M. Jones 2008-05-14 14:03:12 UTC
Pushing this to F-10, add magic word 'ocaml', and assigning it over to me.
There shouldn't be a problem building it on ppc64 now.

Comment 5 Richard W.M. Jones 2008-05-14 14:41:56 UTC
Here's a Koji scratch build for F-10 which interestingly failed for some rather
random-looking reason on ppc64:
  http://koji.fedoraproject.org/koji/taskinfo?taskID=608645

Doesn't appear to be related to ppc64 support in OCaml however, so I'm going
to try it again, then look at the package on David Woodhouse's test machine.

Spec URL: http://www.annexia.org/tmp/ocaml/hevea.spec
* Wed May 14 2008 Richard W.M. Jones <rjones@redhat.com> - 1.10-2
- Fixed typo in description.
- Remove ExcludeArch, ppc64 port now available in OCaml >= 3.10.1.
- tetex-* -> texlive-* in Fedora >= 9.
- Fix rpmlint warning about macro in changelog section.
- Fix rpmlint warning about mixed use of tabs & spaces.
- Convert CHANGES file to UTF-8.



Comment 6 Jeffrey C. Ollie 2008-08-05 23:52:23 UTC
CLosing this as I no longer maintain ejabberd.

Comment 7 Peter Lemenkov 2009-04-21 08:07:54 UTC
Reopening it since hevea still absent for ppc64.

Comment 8 Bug Zapper 2009-06-09 09:16:55 UTC
This bug appears to have been reported against 'rawhide' during the Fedora 11 development cycle.
Changing version to '11'.

More information and reason for this action is here:
http://fedoraproject.org/wiki/BugZappers/HouseKeeping

Comment 9 Jeffrey C. Ollie 2009-11-02 19:43:28 UTC
Is this still an issue?  If so is there some way to get me unlisted as the reporter as I no longer have an interest in ejabberd/hevea.

Comment 10 Richard W.M. Jones 2009-11-02 20:32:24 UTC
AFAIK there is no way to change the reporter of a bug.

However since we discontinued PPC64 in Fedora 13+, I think it's
a good time to close this.


Note You need to log in before you can comment on or make changes to this bug.